Copy PagePartial update itempatch https://api.wafeq.com/v1/items/{id}/Endpoint for partially updating an existing item.Path ParamsidstringrequiredBody Paramsapplication/jsonapplication/x-www-form-urlencodedmultipart/form-dataA product or service the organization buys or sells.costing_methodstringenumHow the cost of the stock of a tracked item is calculated: from the oldest units on hand first (FIFO) or at the running average of the units on hand. Defaults to the weighted average. Changing it re-costs the sales of the item from the date the new method takes effect. View the enum referenceFIFOWEIGHTED_AVERAGEAllowed:FIFOWEIGHTED_AVERAGEcosting_method_effective_fromdate | nullThe date the costing method took effect, null when it applies to the whole history of the item. When the costing method is changed, the date the new method takes effect from: at the earliest the day after the last closed period and after the previous change, by default the start of the current fiscal year. Sales before it keep their cost.descriptionstringThe description of the item.expense_accountstring | nullThe expense account for this item.external_idstringlength ≤ 255External identifier for the item.is_activebooleanDefaults to trueWhether the item is active.truefalseis_tracked_inventorybooleanDefaults to falseWhether inventory is tracked for this item.truefalseitem_units_of_measurearray of objectsThe units of measure for this item.item_units_of_measureADD objectnamestringlength ≤ 200The name of the item.purchase_tax_ratestring | nullThe tax rate applied when purchasing this item: the ID of the tax rate (tax_…). List the tax rates of the organization with GET /v1/tax-rates/.revenue_accountstring | nullThe revenue account for this item.revenue_tax_ratestring | nullThe tax rate applied when selling this item: the ID of the tax rate (tax_…). List the tax rates of the organization with GET /v1/tax-rates/.skustringlength ≤ 200The SKU of the item.tax_authorityThe tax authority reporting settings of the item.api-v1-document-item-tax-authoritynullapi-v1-document-item-tax-authority objectunit_costdouble | nullThe default unit cost of the item if no unit of measure is specified.unit_pricedouble | nullThe default unit price of the item if no unit of measure is specified.HeadersX-Wafeq-Idempotency-KeystringClient-provided UUID to uniquely identify a requestcontent-typestringenumDefaults to application/jsonGenerated from available request content typesapplication/jsonapplication/x-www-form-urlencodedmultipart/form-dataAllowed:application/jsonapplication/x-www-form-urlencodedmultipart/form-dataResponse 200Updated 27 days ago Retrieve itemUpdate itemDid this page help you?YesNo